<div id="container" class="ion-margin">
  <ion-list>
    <ion-item>
      <ion-label>Length</ion-label>
      <ion-input type="number" [(ngModel)]="length"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Length Units</ion-label>
      <ion-select placeholder="in" [(ngModel)]="lengthUnits">
        <ion-select-option value="in">in</ion-select-option>
        <ion-select-option value="mm">mm</ion-select-option>
        <ion-select-option value="cm">cm</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Height</ion-label>
      <ion-input type="number"  [(ngModel)]="height"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Height Units</ion-label>
      <ion-select placeholder="in" [(ngModel)]="heightUnits">
        <ion-select-option value="in">in</ion-select-option>
        <ion-select-option value="mm">mm</ion-select-option>
        <ion-select-option value="cm">cm</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Thickness</ion-label>
      <ion-input type="number" [(ngModel)]="thickness"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Thickness Units</ion-label>
      <ion-select placeholder="in" [(ngModel)]="thicknessUnits">
        <ion-select-option value="in">in</ion-select-option>
        <ion-select-option value="mm">mm</ion-select-option>
        <ion-select-option value="cm">cm</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label>Density</ion-label>
      <ion-input type="number" [(ngModel)]="density"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Rate per Kg</ion-label>
      <ion-input type="number" [(ngModel)]="ratePerKg"></ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Rate per Sheet</ion-label>
      <ion-input type="number" [(ngModel)]="ratePerSheet" disabled></ion-input>
    </ion-item>
  </ion-list>
  <ion-button (click)="calculateRate()">Calculate</ion-button>
  <ion-button (click)="clear()" color="light">Clear</ion-button>
</div>